﻿using System;
using System.Collections.Generic;

namespace NTERA.Interpreter
{
    public class VariableDictionary : Dictionary<string, Value>
    {
        public VariableDictionary() : base(StringComparer.InvariantCultureIgnoreCase)
        {
            InitDefaults();
        }

        private void InitDefaults()
        {
            Add("LOCAL", 0);
            Add("LOCALS", "");
            Add("RESULT", 0);
            Add("RESULTS", "");
        }
    }
}